Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/AnnotateWTC.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/AnnotateWTC.groovy	(revision 1370)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/AnnotateWTC.groovy	(revision 1371)
@@ -39,8 +39,8 @@
 import org.txm.utils.DeleteDir;
 import org.txm.utils.LangDetector;
 import org.txm.utils.treetagger.TreeTagger
+import org.txm.treetagger.core.preferences.TreeTaggerPreferences
 
-// TODO: Auto-generated Javadoc
 /**
  * Annotate and replace the TEI-TXM files of the folder $rootDirFile/txm with TreeTagger.
  * creates $rootDirFile/interp and $rootDirFile/treetagger
@@ -107,14 +107,14 @@
 		if(debug) {
 			println "rootDirFile "+binDir
 			println "txmDir "+txmDir
-			println "TREETAGGER INSTALL PATH : "+Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)
-			println "TREETAGGER MODELS PATH : "+Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH)
+			println "TREETAGGER INSTALL PATH : "+TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.INSTALL_PATH))
+			println "TREETAGGER MODELS PATH : "+TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.MODELS_PATH))
 		}
 
 		//test if the Toolbox know TreeTagger
-		if (!new File(Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/").exists())
+		if (!new File(TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.INSTALL_PATH), "bin/").exists())
 		{
-			println("Could not find TreeTagger binaries in "+Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)+"/bin/")
+			println("Could not find TreeTagger binaries in "+TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.INSTALL_PATH),"bin/")
 			return false;
 		}
 
@@ -127,7 +127,7 @@
 		List<File> files = txmDir.listFiles()
 
 		// get model file and check it
-		File modelfile = new File(Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH), modelfilename);
+		File modelfile = new File(TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.MODELS_PATH), modelfilename);
 		if (debug)
 			println "model file : "+modelfile;
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/Annotate.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/Annotate.groovy	(revision 1370)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/Annotate.groovy	(revision 1371)
@@ -108,7 +108,7 @@
 	File modelsDirectory;
 	
 	public Annotate() {
-		modelsDirectory = new File(Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH)); // default models directory is set in the Toolbox
+		modelsDirectory = new File(TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.INSTALL_PATH)); // default models directory is set in the Toolbox
 	}
 		
 	/**
@@ -267,8 +267,8 @@
 		if (debug) {
 			println "rootDirFile "+binDir
 			println "txmDir "+txmDir
-			println "TREETAGGER INSTALL PATH : "+Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)
-			println "TREETAGGER MODELS PATH : "+Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH)
+			println "TREETAGGER INSTALL PATH : "+TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.INSTALL_PATH)
+			println "TREETAGGER MODELS PATH : "+TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.MODELS_PATH)
 		}
 
 		//test if the Toolbox know TreeTagger
@@ -310,7 +310,7 @@
 
 		if (cancelNow) return;
 
-		File modelDirectory = new File(Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH));
+		File modelDirectory = new File(TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.MODELS_PATH));
 		if (!modelDirectory.exists()) {
 			println "Skipping ANNOTATE: TreeTagger language model file directory not found: "+modelDirectory.getAbsolutePath();
 			return false;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImport.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImport.groovy	(revision 1370)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImport.groovy	(revision 1371)
@@ -116,39 +116,4 @@
 			}
 		}
 	}
-
-	public static void main(String[] args) {
-
-//		long start = System.currentTimeMillis()
-//
-//		String userDir = System.getProperty("user.home")
-//		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-//		//Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:\\Program Files\\TXM"));//For Windows
-//		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
-//		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
-//		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
-//		//Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File("C:\\Program Files\\treetagger\\models"));//for Windows
-//		Toolbox.setParam(Toolbox.USER_TXM_HOME, new File(userDir, "TXM"));
-//
-//		//File importParametersFile = new File("/home/mdecorde/xml/brown-for-xtz/import.xml");
-//		//		File importParametersFile = new File("/home/mdecorde/xml/qgraalc/qgraal_cw/import.xml"); // new import
-//		//File importParametersFile = new File("/home/mdecorde/TXM/corpora/QGRAALXTZ/import.xml"); // corpus update
-//		//		File importParametersFile = new File("/home/mdecorde/xml/annotation/import.xml"); // new import
-//		//File importParametersFile = new File("/home/mdecorde/xml/baiptest/import.xml"); // new import
-//		//File importParametersFile = new File("/home/mdecorde/TXM/corpora/BAIP/import.xml"); // corpus update
-//		File importParametersFile = new File("/home/mdecorde/xml/xtzsmall/import.xml");
-//		BaseParameters b = new BaseParameters(importParametersFile);
-//		b.getKeyValueParameters().put(ImportKeys.CLEAN, "false")
-//		b.getKeyValueParameters().put(ImportKeys.MULTITHREAD, "false")
-//		b.getKeyValueParameters().put(ImportKeys.DEBUG, "true")
-//		b.getKeyValueParameters().put(ImportKeys.UPDATECORPUS, "false")
-//
-//		XTZImport i = new XTZImport(b);
-//		i.start();
-//		
-//		println "Done: "+i.isSuccessful
-//
-//		long end = System.currentTimeMillis()
-//		println "TIME: "+(end-start)
-	}
 }
Index: tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/AnnotateWTC.groovy
===================================================================
--- tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/AnnotateWTC.groovy	(revision 1370)
+++ tmp/org.txm.treetagger.core/src/org/txm/importer/xmltxm/AnnotateWTC.groovy	(revision 1371)
@@ -36,6 +36,7 @@
 import org.txm.importer.cwb.*
 import org.txm.objects.*
 import org.txm.stat.utils.ConsoleProgressBar
+import org.txm.treetagger.core.preferences.TreeTaggerPreferences
 import org.txm.utils.DeleteDir;
 import org.txm.utils.LangDetector;
 import org.txm.utils.io.IOUtils
@@ -108,8 +109,8 @@
 		if(debug) {
 			println "rootDirFile "+binDir
 			println "txmDir "+txmDir
-			println "TREETAGGER INSTALL PATH : "+Toolbox.getPreference(Toolbox.TREETAGGER_INSTALL_PATH)
-			println "TREETAGGER MODELS PATH : "+Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH)
+			println "TREETAGGER INSTALL PATH : "+TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.INSTALL_PATH)
+			println "TREETAGGER MODELS PATH : "+TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.MODELS_PATH)
 		}
 
 		//test if the Toolbox know TreeTagger
@@ -127,7 +128,7 @@
 		List<File> files = txmDir.listFiles(IOUtils.FILTER_HIDDEN)
 
 		// get model file and check it
-		File modelfile = new File(Toolbox.getPreference(Toolbox.TREETAGGER_MODELS_PATH), modelfilename);
+		File modelfile = new File(TreeTaggerPreferences.getInstance().getBoolean(TreeTaggerPreferences.MODELS_PATH), modelfilename);
 		if (debug)
 			println "model file : "+modelfile;
 
Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/srcmf/srcmfLoader.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/srcmf/srcmfLoader.groovy	(revision 1370)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/srcmf/srcmfLoader.groovy	(revision 1371)
@@ -54,15 +54,6 @@
 	debug = true
 	params = new BaseParameters(new File(userDir, "xml/slethgier/import.xml"))
 	params.load()
-	if (!org.txm.Toolbox.isInitialized()) {
-		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
-		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
-		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
-		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
-		Toolbox.setParam(Toolbox.USER_TXM_HOME, new File(System.getProperty("user.home"), "TXM"));
-	}
 }
 if (params == null) { println "no parameters. Aborting"; return; }
 
Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/tigersearchLoader.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/tigersearchLoader.groovy	(revision 1370)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/tigersearchLoader.groovy	(revision 1371)
@@ -52,20 +52,6 @@
 	debug = true
 	params = new BaseParameters(new File(userDir, "xml/roland/import.xml"))
 	params.load()
-	if (!org.txm.Toolbox.isInitialized()) {
-
-		TokenizerClasses.loadFromNode(params.getTokenizerElement(params.getCorpusElement()));
-		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		//Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:\\Program Files\\TXM"));//For Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		//Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File("C:\\Program Files\\treetagger"));//for Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
-		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
-		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
-		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
-		//Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File("C:\\Program Files\\treetagger\\models"));//for Windows
-		Toolbox.setParam(Toolbox.USER_TXM_HOME, new File(System.getProperty("user.home"), "TXM"));
-	}
 }
 
 if (params == null) { println "no parameters. Aborting"; return; }
